##########################################################################
#
# chiron_DefaultSetup_pcm.mod written by PCM 20111221
#
# FPGA Version V210 .mod file - 2 amplifier (EF) readout of detector
#
# copy this file as /Monsoon/cfg/_chiron/chiron_DefaultSet.mod in order to run this manual configuration in PAN
#
##########################################################################

pwrUpAfeSupplies=1              # Enable power to the AFE boards in the DHE
!delay=500                      # Delay 500ms for the AFE boards to light up

# Setup the cds ports
CdsPortConfigReg=1.0            # CdsPortConfigReg - Treat AFE1 and AFE2 as ganged devices. AFE2 CDS register copies AFE1 CDS register 
CdsChanSlctReg=0xA0             # CdsChanSlctReg - enable the cds hardware on physical video channels 5 and 7 + test port on AFE2:4

# Setup the clock port
clkPortConfigReg=1.0            # ClkPortConfigReg - Treat AFE1 and AFE2 as ganged devices. The clock word is only 16-bits wide. afeClkStateReg(31:16) is a copy of afeClkStateReg(15:0).

# Video channel assignments
chanSrcSlct[]=0.0               # Clear all video channel assignments
# chanSrcSlct[0]=4.0              # chansrcslct[0] - Map hardware acquisition AFE1 channel 1 to data channel 1 - CCD Amp -g-
# chanSrcSlct[1]=2.0              # chansrcslct[1] - Map hardware acquisition AFE1 channel 3 to data channel 2 - CCD Amp -h-
chanSrcSlct[0]=6.0              # chansrcslct[2] - Map hardware acquisition AFE2 channel 1 to data channel 3 - CCD Amp -e-
chanSrcSlct[1]=8.0              # chansrcslct[3] - Map hardware acquisition AFE2 channel 3 to data channel 4 - CCD Amp -f- 

# Clear the current sequencer loop register set
seqLoopReg[]=0.0           # Clear all content

# Software setup for detector
pxlRows=4162.0                  # pxlrows - Rows per detector = 4112 rows + 50 overscan pixels
pxlCols=4196.0                  # pxlcols - Cols per Detector - 4096 + 50 prescan + 50 overscan pixels 
mosaicRows=1.0                  # mosaicrows - number of rows of detectors in mosaic
mosaicCols=1.0                  # mosaiccols - number of columns of detectors in mosaic
numOutputs=2.0                  # numoutputs - Number of output channels per detector - two amplifier mode is amplifiers EF
outputCfg=1.0                   # outputcfg - 0 if numOutputs is 1 or 4, 2 for AB output amp symetry with two amps , 3 for AD output amp symetry with two amps
preScanCols=0.0                # prescancols - prescan in x to be saved
ovrScanCols=0.0                # ovrscancols - postscan in x to be saved
ovrScanRows=0.0                 # ovrscanrows - post scan in y to be saved     
colBin=1.0                      #
rowBin=1.0                      # Software binning factors

# Focal plane setup
arrayType=0.0                   # arraytype - the type of detectors
arrayID[0]=1.0                  # arrayid[0] - identifier for detector Connected to hardware channel[1]
arrayID[1]=1.0                  # arrayid[1] - identifier for detector Connected to hardware channel[2]
arrayID[2]=1.0                  # arrayID[2] - identifier for detector Connected to hardware channel[3]
arrayID[3]=1.0                  # arrayID[3] - identifier for detector Connected to hardware channel[4]
arrayID[4]=0.0                  # arrayID[4] - identifier for detector Connected to hardware channel[5]
arrayID[5]=0.0                  # arrayID[5] - identifier for detector Connected to hardware channel[6]
arrayID[6]=0.0                  # arrayID[6] - identifier for detector Connected to hardware channel[7]
arrayID[7]=0.0                  # arrayID[7] - identifier for detector Connected to hardware channel[8]

# starting x,y position of each detector in the focalplane in pixels
xStart[0]=1.0                   # xstart[0] - x position of LL corner of detector[0]
yStart[0]=1.0                   # ystart[0] - y position of LL corner of detector[0]
xStart[1]=0.0                   # xstart[1] - x position of LL corner of detector[1]
yStart[1]=0.0                   # ystart[1] - y position of LL corner of detector[1]

# Software attribute setup
finDataType=32.0                # finDataType - DHS_UINT four bytes 32 bits
frmsPerRdOut=1.0                # frmsPerRdOut - number of readouts for one simple exposure
captureMode=1.0                 # captureMode - capture mode 0=NORMAL, 1=SEP, 2=BLOCKREAD
expMode=0.0                     # expMode - mode of the exposure
processMode=0.0                 # processMode - Processing mode -- Switch off the telemetry collection
expVector=1.0                   # expVector - 1 = Normal Clr,Int,Read readout, 2=Clear only, 4=Read only
asyncVector=0.0                 # asyncVector - Currently not used (always 0).
labSystem=3.0                   # labsystem - Gives usage of filenames and Pre,Post telemetry reads
rawPxlSize=4.0                  # rawPxlSize - number of Bytes in a raw pixel value
finPxlSize=4.0                  # finPxlSize - number of Bytes in a finished pixel value
avNameSize=32.0                 # avNameSIze - Max character length of attribute name
avValueSize=32.0                # avValueSize - Max character length of attribute value
avCommentSize=64.0              # avCommentSize - Max character length of attribute comment
rdOutTime[0]=13000              # Approx. readout time in milliseconds for pixel data timeout watchdog

# Exposure Attribute setup
imageFile=chiron                # Default file name prefix
imageDir=/data                  # imageDir - Default data directory for images
intTime=0.000                   # Observer requested integration time

# Pix Services setup
SCDataPrecision=3               # setup to send full 18 bit precision
SCDataDestination=1             # Send raw data to the FPDP data port - Systran

# Clear the pixel Xfer statistics
clearStats=0

# Set the default video offset values
afe1VidOffVal[]=2082          # Nominal offset value for the ADC at approx. 6500 ADU.
afe2VidOffVal[]=2082          # Nominal offset value for the ADC at approx. 6500 ADU.

