##########################################################################
#
# chiron_SetVoltages.mod hand written by PCM 20111222 
# FPGA Version V210
# copy this file as /Monsoon/cfg/_chiron/chiron_SetVoltages.mod in order to run this manual configuration in PAN
#
##########################################################################

## Clock high rail voltages
RGe_high=12.0
RGf_high=12.0
RGg_high=12.0
RGh_high=12.0

SWe_high=11.0
SWf_high=11.0
SWg_high=11.0
SWh_high=11.0

S1f_high=11.0
S1e_high=11.0
S1g_high=11.0
S1h_high=11.0

S2e_high=11.0
S2f_high=11.0
S2g_high=11.0
S2h_high=11.0

S3ef_high=11.0
S3hg_high=11.0

DGa_high=12.0
DGd_high=12.0

TGa_high=10.0
TGd_high=10.0

P1ab_high=10.0
P1cd_high=10.0

P2ab_high=10.0
P2cd_high=10.0

P3ab_high=10.0
P3cd_high=10.0

P4ab_high=10.0
P4cd_high=10.0

## Clock low rail voltages
RGe_low=0.0
RGf_low=0.0
RGg_low=0.0
RGh_low=0.0

SWe_low=1.0
SWf_low=1.0
SWg_low=1.0
SWh_low=1.0

S1f_low=1.0
S1e_low=1.0
S1g_low=1.0
S1h_low=1.0

S2e_low=1.0
S2f_low=1.0
S2g_low=1.0
S2h_low=1.0

S3ef_low=1.0
S3hg_low=1.0

DGa_low=0.0
DGd_low=0.0

TGa_low=0.0
TGd_low=0.0

P1ab_low=0.0
P1cd_low=0.0

P2ab_low=0.0
P2cd_low=0.0

P3ab_low=0.0
P3cd_low=0.0

P4ab_low=0.0
P4cd_low=0.0

## High voltage biases
ODe_val=24.5
ODf_val=24.5
ODg_val=24.5
ODh_val=24.5

RDe_val=17.0
RDf_val=17.0
RDg_val=17.0
RDh_val=17.0

DDab_val=24.0
DDcd_val=24.0

## Low voltage biases
OGe_val=2.0
OGf_val=2.0
OGg_val=2.0
OGh_val=2.0

## ADC Offset values
Amp_e_offset=2080
Amp_f_offset=2080
Amp_g_offset=2080
Amp_h_offset=2080

## Sequencer attributes
seqLoopReg[]=0.0           # Clear all content
seqRowCount=4212.0         # SeqLoopReg[0] - seqRowCount - row counter for sequencer code
seqColCount=2148.0         # SeqLoopReg[1] - seqColCount - column counter for sequencer code
seqRowBin=1.0              # SeqLoopReg[2] - seqRowBin - binning in row direction
seqColBin=1.0              # SeqLoopReg[3] - seqColBin - binning in Column direction
seqRoiRow=1.0              # SeqLoopReg[4] - seqRoiRow - first row of the ROI readout
seqRoiCol=1.0              # SeqLoopReg[5] - seqRoiCol - first column of the ROI readout
seqRoiRSkip=50.0           # SeqLoopReg[6] - seqRoiRowSkip - Number of rows to skip after image readout before starting Y overscan readout - No longer supported.
seqRoiCSkip=50.0           # SeqLoopReg[7] - seqRoiColSkip - Number of columns to skip after image readout before starting X overscan readout.
seqFocusShft=50.0          # SeqLoopReg[8] - seqFocusShft - number of rows to shift between focus exposures
seqPreScan=50.0            # SeqLoopReg[9] - seqPreScan - number of prescan pixels
seqShtrDly=10.0            # SeqLoopReg[10] - seqShtrDly - ms needed to open/close the shutter
OvrScanRowCnt=50.0         # seqLoopReg[11] - Number of row overscan pixels to readout - No longer supported. No Y overscan is required
OvrScanColCnt=10.0         # seqLoopReg[12] - Number of column overscan pixels to readout

serBinEnbl=0.0             # serBinEnbl - Enable serial binning
rdRoiEnbl=0.0              # rdRoiEnbl - Enable ROI readout mode
seqContRun=0.0             # Continious run flag for debugging set to false
