*******************************************************************
** SYSTEM	: chiron
** VERSION	: 1.000
** FILE  	: /MNSN/soft_dev/cfg/_chiron/chiron_SequencerV000.asm
**
**
** HISTORY	: 20111130-0949:17.00 Template created by sysConfig
**
** 		: add modification history here
**		YYYYMMDD-HHMM - Engineer's. name - description of change
**
** Description	: 20111130-0949:17.00 Template Sequncer code Fill in as needed
**
** Clock Assignments:
**	    AFE1 :
**	         : Clk00  ==> Not Used 
**	         : Clk01  ==> Not Used 
**	         : Clk02  ==> Not Used 
**	         : Clk03  ==> Not Used 
**	         : Clk04  ==> Not Used 
**	         : Clk05  ==> Not Used 
**	         : Clk06  ==> Not Used 
**	         : Clk07  ==> Not Used 
**	         : Clk08  ==> Not Used 
**	         : Clk09  ==> Not Used 
**	         : Clk10  ==> Not Used 
**	         : Clk11  ==> Not Used 
**	         : Clk12  ==> Not Used 
**	         : Clk13  ==> Not Used 
**	         : Clk14  ==> Not Used 
**	         : Clk15  ==> Not Used 
**	    AFE2 :
**	         : Clk00  ==> Not Used 
**	         : Clk01  ==> Not Used 
**	         : Clk02  ==> Not Used 
**	         : Clk03  ==> Not Used 
**	         : Clk04  ==> Not Used 
**	         : Clk05  ==> Not Used 
**	         : Clk06  ==> Not Used 
**	         : Clk07  ==> Not Used 
**	         : Clk08  ==> Not Used 
**	         : Clk09  ==> Not Used 
**	         : Clk10  ==> Not Used 
**	         : Clk11  ==> Not Used 
**	         : Clk12  ==> Not Used 
**	         : Clk13  ==> Not Used 
**	         : Clk14  ==> Not Used 
**	         : Clk15  ==> Not Used 
**
*******************************************************************
** Clock BIT Definitions: **
****************************

*******************************************************************
** Clock Vectors:     **
************************

*******************************************************************
** Timing Constants **
**********************
DEF #PARALLEL_DELAY  5    * 5 us read parallel phase delay [us]
DEF #SERIAL_DELAY   10    * Delay for serial clock [clk], about 500ns

*******************************************************************
** Dwell Settings **
********************

*******************************************************************
** DAC Setting Constants **
***************************

*******************************************************************
** LOOP REGISTER DEFINITIONS **
*******************************
DEF #NROWS      0     * Number of rows to readout (DET_ROWS/NPBIN)
DEF #NCOLS      1     * Number of columns to readout (DET_COLS/NSBIN)
DEF #NPBINS     2     * Parallel binning factor
DEF #NSBINs     3     * Serial binning factor (serial bin minus one)
DEF #ROIROW     4     * Rows to skip to Start of ROI
DEF #ROICOL     5     * Cols to skip to start of ROI
DEF #ROIRSKIP   6     * Number of rows to skip after ROI readout
DEF #ROICSKIP   7     * Number of cols to skip after ROI readout
DEF #FOCSHFT    8     * Number of rows to Shift during focus exposures
DEF #NPRESCAN   9     * Number of serial prescan pixels (not readout)
DEF #SHUT_DLY  10     * Delay to allow shutter to close (units of 10 ms)
DEF #OSROWCNT  11     * Number of overscan rows read (not used)
DEF #OSCOLCNT  12     * Number of overscan columns to readout on each Row
DEF #Spare_13  13     * not used
DEF #SPARE_14  14     * not used
DEF #SPARE_15  15     * not used

*******************************************************************
** JUMP FLAG DEFINITIONS - BIT POSITION IN COMMAND REGISTER **
**************************************************************
DEF #SYNC        1       * Jump on sync bit high
DEF #ITC         2       * Jump on Integration time expired
DEF #START       3       * Jump on start exposure flag set
DEF #CCDREAD     4       * STRVCTR = 1: DO CCD INTEGRATE and READ
DEF #DARKEXP     5       * STRVCTR = 2: Shutter closed during integration - then readout
DEF #CCDClear    6       * STRVCTR = 4: Do CCD clear only
DEF #FocusExp    7       * STRVCTR = 8: Open Shtr, Integrate, Shift image down 
DEF #FocRead     8       * STRVCTR =16: Shift image down, Open Shtr, Integrate and Readout
DEF #VCTR_6      9       * STRVCTR = 32:
DEF #VCTR_7     10       * Jump on start vector bit value  64
DEF #VCTR_8     11       * Jump on start vector bit value 128
DEF #CONT_RUN   12       * USER BIT 1: LOOP INDEFINATELY ON TESTS
DEF #SBIN_ENB   13       * Jump Bit==2 (Serial binning enable bit)
DEF #RDROI_ENB  14       * Jump on user mode bit value 4
DEF #USR_4      15       * Jump on user mode bit value 8

*******************************************************************
** EFR Register Constants **
****************************
DEF #KILL_EXPFLG  x01080001  * Cancel start exposure flag
DEF #PWRSYNC      x01080002  * Pulse the power supply synchronization bit
DEF #STRT_INTCNTR x01080004  * Start the integration time counter
DEF #STOP_INTCNTR x01080008  * Stop the integration time counter
DEF #OPEN_SHUTR   x01080010  * Command the shutter to open
DEF #CLOSE_SHUTR  x01080020  * Command the shutter to close
DEF #PREFLASH_ON  x01080040  * Turn the preflash signal on
DEF #PREFLASH_OFF x01080080  * Turn off the preflash signal
DEF #PULSE_FRAME  x01080100  * Pulse the Frame Start flag
DEF #PULSE_LINE   x01080200  * Pulse the Line Start Flag
DEF #READOUT_BUSY x01080400  * Set the readout in progress flag to the DHE
                             *   Allows shutting down certain services while reading out.
DEF #READOUT_IDLE x01080800  * Set the readout in progress flag false
DEF #SPARE_EFR_1  x01081000  * Spare toggle bit - not used in sequencer
DEF #SPARE_EFR_2  x01082000  * Spare toggle bit - not used in sequencer
DEF #SYNC_LOW     x01084000  * If enabled as master DHE, set sync bit low after sync delay
DEF #SYNC_HIGH    x01088000  * If enabled as master DHE, set sync signal high immediately

**   COMBINATION EFR COMMAND WORDS   **
DEF #OPEN_AND_START  #strt_intcntr or #open_shutter    * start integration timer and open shutter
DEF #CLOSE_AND_STOP  #STOP_INTCNTR OR #CLOSE_SHUTTER   * close shutter and stop integration timer
DEF #CLOSE_STOP_BUSY #CLOSE_AND_STOP OR #READOUT_BUSY  * close shutter, stop integration timer,
                                                       *   and set 'readout in progress' status

*******************************************************************
** Mode Register Constants **
*****************************
DEF #WRITE16     2           *  constant for 16 bit write operation
                             *    Module address contained in upper 16-bits of pattern data
DEF #WRITE32     3           * constant for 32 bit write operation
                             *   use LDA to adress module

*******************************************************************
** LSR Module Select Assignments **
***********************************
DEF #DSLCT       0
DEF #LCB         1
DEF #PSM         2
DEF #CFG         4
DEF #PIX         8
DEF #AFE        16

*******************************************************************
** Module Register addresses **
*******************************
DEF #EFR_REG     x0108          * write efr parameters to this register in 32-bit mode
DEF #TSTCOND_REG x0109          * write a 23-bit address here to see the result of a read of that address here
DEF #RD_STATUS x0001fffd        * read the system ststus word
DEF #CLKPORT     x3002          * afe module clock address pointer
DEF #CDSREG      x2002          * afe module cds address pointer

*******************************************************************
** CDS state values **
** written as data for 16-bit mode writes to the cds register
*******************************
DEF #CDS_CTC x20020001    * CTC strobe
DEF #CDS_INV x20020002    * INVERT mode
DEF #CDS_NON x20020004    * NON_INVERT mode
DEF #CDS_INT x20020008    * Integrate
DEF #CDS_CLP x20020010    * DC Restore Clamp
DEF #CDS_RST x20020020    * RESET Integratoe

*******************************************************************
** Pattern Memory Definitions **
********************************



*******************************************************************
** PROGRAM CODE SEGMENT STARTS HERE **
*************************************
** Main routine
#INIT   NOP                    * Allow time to set things up
        LRB #INITDLY           * holds the clocks in a static initialization state
            DMS 10             * 10 millisecond delay in loop 
        LPE                    * end INITDLY loop 
        CAL #SET_INIT          * Establish the Initial Conditions

#EXEC   LPP #KILL_EXPFLG       * Kill the Start Exp flag again - just in case
        LMR #WRITE32           * SET 32 Bit WRITE Mode
        LPP #RD_STATUS         * read the system status
        LDA #TSTCOND_REG       * test code for new feature.
        LSR #CFG               * WRITE to the EFR

#IDLE NOP
        JCB #GOBABY #START     * If Start Exposure Flag SET, jump to GOBABY
        CAL #IDLE_CLR          * Routine to clear CCD when idle
        JMP #IDLE              * Else JUMP back to #IDLE

#GOBABY LMR #WRITE16           * set 16 bit write mode for efr writes
        LPP #KILL_EXPFLG       * KILL the START EXP FLAG 
        LSR #CFG               * WRITE to the EFR
        JCB #READOUT #CCDREAD  * Vctr 1 - Do Integrate - Readout
        JCB #DO_DARK #DARKEXP  * Vctr 2 - Do Integrate w/shutter closed - Readout
        JCB #DoClear #CCDClear * Vctr 4 - Do CCD clear only
        JCB #FCSEXP #FocusExp  * Vctr 8 - Open Shtr, Integrate, Shift image down
        JCB #FCSREAD #FocRead   * Vctr 16 - Do FocusShift, Integrate, Readout
        JMP #EXEC              * No Flags SET, Go back to EXEC

*******************************************************************
** Start of called sequencer sub-routines **
********************************************
#SET_INIT  NOP
** Put initialization code here
           RET

#IDLE_CLR  LMR #WRITE32
           CAL #P_CLEAR        * Shift down one binned row
           CAL #S_CLEAR	     * Clear out the serial register
           RET

#READOUT   NOP
** Put Normal readout routine here
           RET

#DO_DARK   NOP
** Put Dark routine here
           RET

#DoClear   NOP
** Put CCD Clear routine here
           RET

#FCSEXP    NOP
** Put Focus OpenShtr, Integrate CloseShtr, Shift Rows routine here
           RET

#FCSREAD   NOP
** Put Focus Shift Rows, OpenShtr, Integrate CloseShtr, Readout routine here
           RET

#P_CLEAR   NOP
** Put Shift Binned row routine here 
           RET

#S_CLEAR   NOP
** Put Clear Serial Register Routine Here
           RET




