##########################################################################
#
# chiron_SetVoltages_fast.mod hand written by PCM 20120117
# FPGA Version V210
# Voltage settings adapted from the mosaic 1 imager detector configuration .. Thanks Dave !
# copy this file as /Monsoon/cfg/_chiron/chiron_SetVoltages_fast.mod in order to run this manual configuration in PAN
#
##########################################################################

## Clock high rail voltages
RGe_high=3.0
RGf_high=3.0
RGg_high=3.0
RGh_high=3.0

SWe_high=2.0
SWf_high=2.0
SWg_high=2.0
SWh_high=2.0

S1f_high=2.0
S1e_high=2.0
S1g_high=2.0
S1h_high=2.0

S2e_high=2.0
S2f_high=2.0
S2g_high=2.0
S2h_high=2.0

S3ef_high=2.0
S3hg_high=2.0

DGa_high=3.0
DGd_high=3.0

TGa_high=2.0
TGd_high=2.0

P1ab_high=2.0
P1cd_high=2.0

P2ab_high=2.0
P2cd_high=2.0

P3ab_high=2.0
P3cd_high=2.0

P4ab_high=2.0
P4cd_high=2.0

## Clock low rail voltages
RGe_low=-8.0
RGf_low=-8.0
RGg_low=-8.0
RGh_low=-8.0

SWe_low=-8.0
SWf_low=-8.0
SWg_low=-8.0
SWh_low=-8.0

S1f_low=-8.0
S1e_low=-8.0
S1g_low=-8.0
S1h_low=-8.0

S2e_low=-8.0
S2f_low=-8.0
S2g_low=-8.0
S2h_low=-8.0

S3ef_low=-8.0
S3hg_low=-8.0

DGa_low=-9.0
DGd_low=-9.0

TGa_low=-8.0
TGd_low=-8.0

P1ab_low=-9.0
P1cd_low=-9.0

P2ab_low=-9.0
P2cd_low=-9.0

P3ab_low=-9.0
P3cd_low=-9.0

P4ab_low=-9.0
P4cd_low=-9.0

## High voltage biases
ODe_val=22.0
ODf_val=22.0
ODg_val=22.0
ODh_val=22.0

RDe_val=9.0
RDf_val=9.0
RDg_val=9.0
RDh_val=9.0

DDab_val=13.0
DDcd_val=13.0

## Low voltage biases
OGe_val=-6.0
OGf_val=-6.0
OGg_val=-6.0
OGh_val=-6.0

# Video channel assignments for high gain / high speed selection
# Now uses the video channel assignments for low gain / low speed selection
CdsChanSlctReg=0xDD             # CdsChanSlctReg - enable the cds hardware on physical video channels 1,3,5 and 7 + debug on AFE2:4
chanSrcSlct[]=0.0               # Clear all video channel assignments
chanSrcSlct[0]=3.0              # chansrcslct[0] - Map hardware acquisition AFE1 channel 1 to data channel 1 - CCD Amp -g-
chanSrcSlct[1]=1.0              # chansrcslct[1] - Map hardware acquisition AFE1 channel 3 to data channel 2 - CCD Amp -h-
chanSrcSlct[2]=5.0              # chansrcslct[2] - Map hardware acquisition AFE2 channel 1 to data channel 3 - CCD Amp -e-
chanSrcSlct[3]=7.0              # chansrcslct[3] - Map hardware acquisition AFE2 channel 3 to data channel 4 - CCD Amp -f- 

## ADC Offset values
Slow_e_offset=2028.000000
Slow_f_offset=2025.000000
Slow_g_offset=2024.000000
Slow_h_offset=2028.000000

serBinEnbl=0.0             # serBinEnbl - Enable serial binning
rdRoiEnbl=0.0              # rdRoiEnbl - Enable ROI readout mode
seqContRun=0.0             # Continious run flag for debugging set to false

SCDataDestination=1        # Send raw data to the FPDP data port - Systran
